chef_changereport_handler Cookbook
================
Generate chef report after deploy: change list, update summary, etc.

Requirements
------------
### Platform
- Debian/Ubuntu

Recipes
-------
* default
Enable Chef handler: report what are changed by chef and record update summary to disk

Usage
-----
Use the cookbook by `recipe[chef_changereport_handler]`.

Attributes List
---------------
* `node['chef_changereport_handler']['working_dir']` - Working directory for generated report and chef handler
* `node['chef_changereport_handler']['report_extra_info']` - Extra info you can specify which will be combined into report
* `node['chef_changereport_handler']['command_run_after_failure']` - Bash command you want to run, after deployment failure

Example
-----------------
The handler outputs to log after Chef Run follwing.

```
========================================================
Update Time: 2016-04-09 11:44:00
Time Spent: 0.299429966
Update Status: success
Changed List: 2 resources are changed
\- template[/root/chef_update/handlers/my_report_handler.rb]
\- chef_handler[MyReport::MyReportHandler]
Detail info:
My extra info message
========================================================
Update Time: 2016-04-09 11:44:52
Time Spent: 0.286870006
Update Status: success
Changed List: 1 resources are changed
\- chef_handler[MyReport::MyReportHandler]
Detail info:
My extra info message
```

License & Authors
-----------------
- Author:: DennyZhang001 <denny@dennyzhang.com>
- Copyright:: 2016, http://DennyZhang.com

```text

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
